
Katello - Bug #5027

content views: UI: unable to remove item from package group or errata filter

04/02/2014 02:16 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Content Views   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1079245 Red Hat JIRA:  

Pull request:    

Description

The content view filter 'Remove Errata' and 'Remove Package Group' buttons do not work, if attempting to remove an item that was

just added.

Scenario (for errata; however, same applies for package groups):

1. create a view

2. associate a repo containing errata

3. create an errata by id filter

4. select several errata to add to the filter & 'Add Errata'

5. click 'List/Remove'

6. select a couple of errata to remove

7. click 'Remove Errata', nothing happens

Workaround: If the user reloads the view or filter, then they are able to remove items from it.

Associated revisions

Revision 987b535c - 06/04/2014 04:19 PM - Eric Helms

Fixes #5027: Ensure errata filter notification on add/remove, BZ1079245.

Revision c7592ce8 - 06/04/2014 08:19 PM - Eric Helms

Fixes #5027: Ensure errata filter notification on add/remove, BZ1079245.

Revision 92cb794a - 06/05/2014 08:40 AM - Eric Helms

Merge pull request #4182 from ehelms/fixes-5027

Fixes #5027: Ensure errata filter notification on add/remove, BZ1079245.

Revision 681d4941 - 06/05/2014 12:40 PM - Eric Helms

Merge pull request #4182 from ehelms/fixes-5027

Fixes #5027: Ensure errata filter notification on add/remove, BZ1079245.

History

#1 - 04/25/2014 12:02 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 05/16/2014 08:58 PM - Brad Buckingham

- Assignee set to Eric Helms

- Triaged changed from No to Yes

#3 - 05/29/2014 09:16 PM - Eric Helms

- Status changed from New to Assigned
- Target version set to 45

#4 - 06/05/2014 12:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c7592ce82a7e447020efc7078c06a2452ee2ef1e.

#5 - 06/24/2014 03:37 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1079245
